Subject: Re: [Gen-art] Gen-ART LC Review of draft-ietf-hip-rfc6253-bis-06

From: Samu Varjonen <[email-masked]>
Date: Fri, 12 Feb 2016 12:59:03 +0200

Hi,

answers inline.

-Samu

On 07.01.2016 18:53, Romascanu, Dan (Dan) wrote:
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed by
> the IESG for the IETF Chair. Please treat these comments just like any
> other last call comments.
> 
> For more information, please see the FAQ at
> 
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq [1]>.
> 
> Document: draft-ietf-hip-rfc6253-bis-06
> 
> Reviewer: Dan Romascanu
> 
> Review Date: 1/7/2016
> 
> IETF LC End Date: 12/28/2015
> 
> IESG Telechat date:
> 
> Summary: On the right track
> 
> The document is well structured, but there are a number of issues that
> must be fixed before it is approved by the IESG.
> 
> Major issues:
> 
>  1. The Type number values mentioned in Section 2 (after the
> certificate types table) refer to the values in RFC 6253 (that go to
> 8) and not in the values in this document.
> 

This has been fixed

>  2. The IANA Considerations section needs in my opinion to be
> re-written. RFC 6263 was an Experimental RFC, this document has an
> Intended Status of Standards Track, it cannot just refer to the
> content of the document that it is obsoleting.
> 

This has been fixed

>  3. A new Certificate type registry needs to be defined in my opinion.
> Older values in the registry were 0 to 8, this document should not use
> values of 0 to 4 in the same registry while some of the values have
> different semantics.
> 

We reverted to the current registry and obsoleted the SPKI format 
references.

> Minor issues:
> 
>  1. The front page does not provide the initials of the first name of
> the authors. This may seem a nit, but there may be tools that are used
> with processing the initials of the authors name.

Fixed

> 
>  2. Inconsistent use of CERT (the parameter in RFC 7401) and Cert (as
> in Cert group, Cert count, etc.). Any special reason not to write
> consistently CERT every place?
> 

Fixed

>  3. I am missing a section that would remain in the document (unlike
> Appendix B which I suspect will be taken out at publication) and that
> shortly lists the changes from RFC 6253 and their motivation.
> 

Added.

> Nits/editorial comments:
> 
> 
> 
> Links:
> ------
> [1]
> https://urldefense.proofpoint.com/v2/url?u=http-3A__wiki.tools.ietf.org_area_gen_trac_wiki_GenArtfaq&amp;d=BQICAg&amp;c=BFpWQw8bsuKpl1SgiZH64Q&amp;r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&amp;m=I5w-zqhErChUOoLzPbfnc5q4QAnQBWAJUImX_ocF2PI&amp;s=G5nNtC3MnxOIveGWM1XBHjDn3cEV_Kl-HTkJ9jXPp00&amp;e=%20